
_uart1:

;MyProject.mbas,50 :: 		sub procedure uart1()
;MyProject.mbas,51 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__uart12
;MyProject.mbas,53 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,58 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L__uart12:
;MyProject.mbas,60 :: 		end sub
L_end_uart1:
	RETURN
; end of _uart1

_process:

;MyProject.mbas,62 :: 		sub procedure process()  ' process  LED blink indicator
;MyProject.mbas,63 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,64 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process5:
	DECFSZ     R13+0, 1
	GOTO       L__process5
	DECFSZ     R12+0, 1
	GOTO       L__process5
	DECFSZ     R11+0, 1
	GOTO       L__process5
	NOP
	NOP
;MyProject.mbas,66 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,67 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process6:
	DECFSZ     R13+0, 1
	GOTO       L__process6
	DECFSZ     R12+0, 1
	GOTO       L__process6
	DECFSZ     R11+0, 1
	GOTO       L__process6
	NOP
	NOP
;MyProject.mbas,68 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,69 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process7:
	DECFSZ     R13+0, 1
	GOTO       L__process7
	DECFSZ     R12+0, 1
	GOTO       L__process7
	DECFSZ     R11+0, 1
	GOTO       L__process7
	NOP
	NOP
;MyProject.mbas,71 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,73 :: 		end sub
L_end_process:
	RETURN
; end of _process

_L1go:

;MyProject.mbas,75 :: 		sub procedure L1go()
;MyProject.mbas,76 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,77 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,78 :: 		porta.2=1  'go on lane 1
	BSF        PORTA+0, 2
;MyProject.mbas,79 :: 		end sub
L_end_L1go:
	RETURN
; end of _L1go

_L1rd:

;MyProject.mbas,80 :: 		sub procedure L1rd()
;MyProject.mbas,81 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,82 :: 		porta.1=1  'ready  on lane1
	BSF        PORTA+0, 1
;MyProject.mbas,83 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,84 :: 		end sub
L_end_L1rd:
	RETURN
; end of _L1rd

_L1stop:

;MyProject.mbas,85 :: 		sub procedure L1stop()
;MyProject.mbas,86 :: 		porta.0=1 'stop onlane1
	BSF        PORTA+0, 0
;MyProject.mbas,87 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,88 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,89 :: 		end sub
L_end_L1stop:
	RETURN
; end of _L1stop

_L2go:

;MyProject.mbas,91 :: 		sub procedure L2go()
;MyProject.mbas,92 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,93 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,94 :: 		porta.5=1  'go on lane 1
	BSF        PORTA+0, 5
;MyProject.mbas,95 :: 		end sub
L_end_L2go:
	RETURN
; end of _L2go

_L2rd:

;MyProject.mbas,96 :: 		sub procedure L2rd()
;MyProject.mbas,97 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,98 :: 		porta.4=1  'ready  on lane1
	BSF        PORTA+0, 4
;MyProject.mbas,99 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,100 :: 		end sub
L_end_L2rd:
	RETURN
; end of _L2rd

_L2stop:

;MyProject.mbas,101 :: 		sub procedure L2stop()
;MyProject.mbas,102 :: 		porta.3=1 'stop onlane1
	BSF        PORTA+0, 3
;MyProject.mbas,103 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,104 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,105 :: 		end sub
L_end_L2stop:
	RETURN
; end of _L2stop

_L3go:

;MyProject.mbas,107 :: 		sub procedure L3go()
;MyProject.mbas,108 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,109 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,110 :: 		portc.2=1  'go on lane 1
	BSF        PORTC+0, 2
;MyProject.mbas,111 :: 		end sub
L_end_L3go:
	RETURN
; end of _L3go

_L3rd:

;MyProject.mbas,112 :: 		sub procedure L3rd()
;MyProject.mbas,113 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,114 :: 		portc.1=1  'ready  on lane1
	BSF        PORTC+0, 1
;MyProject.mbas,115 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,116 :: 		end sub
L_end_L3rd:
	RETURN
; end of _L3rd

_L3stop:

;MyProject.mbas,117 :: 		sub procedure L3stop()
;MyProject.mbas,118 :: 		portc.0=1 'stop onlane1
	BSF        PORTC+0, 0
;MyProject.mbas,119 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,120 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,121 :: 		end sub
L_end_L3stop:
	RETURN
; end of _L3stop

_L4go:

;MyProject.mbas,123 :: 		sub procedure L4go()
;MyProject.mbas,124 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,125 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,126 :: 		portc.5=1  'go on lane 1
	BSF        PORTC+0, 5
;MyProject.mbas,127 :: 		end sub
L_end_L4go:
	RETURN
; end of _L4go

_L4rd:

;MyProject.mbas,128 :: 		sub procedure L4rd()
;MyProject.mbas,129 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,130 :: 		portc.4=1  'ready  on lane1
	BSF        PORTC+0, 4
;MyProject.mbas,131 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,132 :: 		end sub
L_end_L4rd:
	RETURN
; end of _L4rd

_L4stop:

;MyProject.mbas,133 :: 		sub procedure L4stop()
;MyProject.mbas,134 :: 		portc.3=1 'stop onlane1
	BSF        PORTC+0, 3
;MyProject.mbas,135 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,136 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,137 :: 		end sub
L_end_L4stop:
	RETURN
; end of _L4stop

_counter:

;MyProject.mbas,138 :: 		sub procedure counter()
;MyProject.mbas,139 :: 		cnt= 21
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,140 :: 		cnt1=6
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,141 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,142 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,143 :: 		cnt4=40 'emergency
	MOVLW      40
	MOVWF      _cnt4+0
;MyProject.mbas,144 :: 		end sub
L_end_counter:
	RETURN
; end of _counter

_main:

;MyProject.mbas,145 :: 		main:
;MyProject.mbas,146 :: 		ANSEL=0          '16F887
	CLRF       ANSEL+0
;MyProject.mbas,147 :: 		ANSELH=0       '16F887
	CLRF       ANSELH+0
;MyProject.mbas,148 :: 		ADCON1 = 0x80             ' A/D voltage reference is VCC
	MOVLW      128
	MOVWF      ADCON1+0
;MyProject.mbas,149 :: 		car2=0
	CLRF       _car2+0
;MyProject.mbas,150 :: 		car1=5
	MOVLW      5
	MOVWF      _car1+0
;MyProject.mbas,153 :: 		TRISA=0
	CLRF       TRISA+0
;MyProject.mbas,154 :: 		TRISB = 0
	CLRF       TRISB+0
;MyProject.mbas,155 :: 		TRISC=0
	CLRF       TRISC+0
;MyProject.mbas,156 :: 		TRISD = 0
	CLRF       TRISD+0
;MyProject.mbas,157 :: 		porta=%00000000
	CLRF       PORTA+0
;MyProject.mbas,158 :: 		portc=%00000000
	CLRF       PORTC+0
;MyProject.mbas,159 :: 		porte=%00000000
	CLRF       PORTE+0
;MyProject.mbas,160 :: 		portd=%00000000
	CLRF       PORTD+0
;MyProject.mbas,161 :: 		portb=%00000000
	CLRF       PORTB+0
;MyProject.mbas,162 :: 		Keypad_Init()       ' Initialize keypad on PORTC
	CALL       _Keypad_Init+0
;MyProject.mbas,163 :: 		Lcd_Init()          ' Initialize LCD on PORTB,
	CALL       _Lcd_Init+0
;MyProject.mbas,164 :: 		Lcd_Cmd(_LCD_CLEAR) ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,168 :: 		UART1_Init(9600)
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.mbas,169 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main23:
	DECFSZ     R13+0, 1
	GOTO       L__main23
	DECFSZ     R12+0, 1
	GOTO       L__main23
	DECFSZ     R11+0, 1
	GOTO       L__main23
	NOP
	NOP
;MyProject.mbas,171 :: 		UART1_Write_Text("connected ")
	MOVLW      99
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      110
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      99
	MOVWF      ?LocalText_main+5
	MOVLW      116
	MOVWF      ?LocalText_main+6
	MOVLW      101
	MOVWF      ?LocalText_main+7
	MOVLW      100
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	CLRF       ?LocalText_main+10
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;MyProject.mbas,175 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,176 :: 		Lcd_Out(1,1,"WifiTrafficLight")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      87
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      102
	MOVWF      ?LocalText_main+2
	MOVLW      105
	MOVWF      ?LocalText_main+3
	MOVLW      84
	MOVWF      ?LocalText_main+4
	MOVLW      114
	MOVWF      ?LocalText_main+5
	MOVLW      97
	MOVWF      ?LocalText_main+6
	MOVLW      102
	MOVWF      ?LocalText_main+7
	MOVLW      102
	MOVWF      ?LocalText_main+8
	MOVLW      105
	MOVWF      ?LocalText_main+9
	MOVLW      99
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      105
	MOVWF      ?LocalText_main+12
	MOVLW      103
	MOVWF      ?LocalText_main+13
	MOVLW      104
	MOVWF      ?LocalText_main+14
	MOVLW      116
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,177 :: 		Lcd_Out(2,1,"Noofa & Latifa  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      78
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      111
	MOVWF      ?LocalText_main+2
	MOVLW      102
	MOVWF      ?LocalText_main+3
	MOVLW      97
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      38
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      76
	MOVWF      ?LocalText_main+8
	MOVLW      97
	MOVWF      ?LocalText_main+9
	MOVLW      116
	MOVWF      ?LocalText_main+10
	MOVLW      105
	MOVWF      ?LocalText_main+11
	MOVLW      102
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	MOVLW      32
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,178 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main24:
	DECFSZ     R13+0, 1
	GOTO       L__main24
	DECFSZ     R12+0, 1
	GOTO       L__main24
	DECFSZ     R11+0, 1
	GOTO       L__main24
	NOP
	NOP
;MyProject.mbas,181 :: 		kp = 0            ' Start of program
	CLRF       _kp+0
;MyProject.mbas,182 :: 		s1=1   'space for character before passkey
	MOVLW      1
	MOVWF      _s1+0
;MyProject.mbas,183 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,192 :: 		process()
	CALL       _process+0
;MyProject.mbas,193 :: 		goto delay1
	GOTO       L__main_delay1
;MyProject.mbas,204 :: 		reset:
L__main_reset:
;MyProject.mbas,205 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,206 :: 		delay1:  'lane1
L__main_delay1:
;MyProject.mbas,208 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,209 :: 		Lcd_Out(1,1,"LANE1 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      49
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,210 :: 		L1go()
	CALL       _L1go+0
;MyProject.mbas,211 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,212 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,213 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,214 :: 		dec(cnt)
	DECF       _cnt+0, 1
;MyProject.mbas,215 :: 		WordToStr(cnt,count)
	MOVF       _cnt+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,216 :: 		Lcd_Out(1,11,count)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,217 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main42:
	DECFSZ     R13+0, 1
	GOTO       L__main42
	DECFSZ     R12+0, 1
	GOTO       L__main42
	DECFSZ     R11+0, 1
	GOTO       L__main42
	NOP
	NOP
;MyProject.mbas,219 :: 		if (cnt=0) then
	MOVF       _cnt+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
;MyProject.mbas,220 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,221 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,222 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,223 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,224 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,225 :: 		goto delay2
	GOTO       L__main_delay2
L__main44:
;MyProject.mbas,228 :: 		goto delay1 'end of delay 1
	GOTO       L__main_delay1
;MyProject.mbas,231 :: 		delay2:
L__main_delay2:
;MyProject.mbas,232 :: 		Lcd_Out(1,1,"READY LANE2    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      50
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,233 :: 		L1rd()
	CALL       _L1rd+0
;MyProject.mbas,234 :: 		L2rd()
	CALL       _L2rd+0
;MyProject.mbas,235 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,236 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,237 :: 		cnt=21  'reset delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,238 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,239 :: 		dec(cnt1)
	DECF       _cnt1+0, 1
;MyProject.mbas,240 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main47:
	DECFSZ     R13+0, 1
	GOTO       L__main47
	DECFSZ     R12+0, 1
	GOTO       L__main47
	DECFSZ     R11+0, 1
	GOTO       L__main47
	NOP
	NOP
;MyProject.mbas,241 :: 		WordToStr(cnt1,count1)
	MOVF       _cnt1+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count1+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,242 :: 		Lcd_Out(1,12,count1)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,243 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main48:
	DECFSZ     R13+0, 1
	GOTO       L__main48
	DECFSZ     R12+0, 1
	GOTO       L__main48
	DECFSZ     R11+0, 1
	GOTO       L__main48
	NOP
	NOP
;MyProject.mbas,245 :: 		if (cnt1=0) then
	MOVF       _cnt1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main50
;MyProject.mbas,246 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,247 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,248 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main190
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main190:
	BTFSS      STATUS+0, 2
	GOTO       L__main53
;MyProject.mbas,249 :: 		goto em1
	GOTO       L__main_em1
L__main53:
;MyProject.mbas,251 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main191
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main191:
	BTFSS      STATUS+0, 2
	GOTO       L__main57
;MyProject.mbas,252 :: 		goto em2
	GOTO       L__main_em2
L__main57:
;MyProject.mbas,254 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main192
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main192:
	BTFSS      STATUS+0, 2
	GOTO       L__main61
;MyProject.mbas,255 :: 		goto em3
	GOTO       L__main_em3
L__main61:
;MyProject.mbas,257 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main193
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main193:
	BTFSS      STATUS+0, 2
	GOTO       L__main65
;MyProject.mbas,258 :: 		goto em4
	GOTO       L__main_em4
L__main65:
;MyProject.mbas,260 :: 		goto delay3
	GOTO       L__main_delay3
L__main50:
;MyProject.mbas,263 :: 		goto delay2 'loop to count
	GOTO       L__main_delay2
;MyProject.mbas,266 :: 		delay3:
L__main_delay3:
;MyProject.mbas,267 :: 		Lcd_Out(1,1,"LANE2 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      50
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,268 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,270 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,272 :: 		L2go()
	CALL       _L2go+0
;MyProject.mbas,274 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,276 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,277 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,278 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,279 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,280 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main69:
	DECFSZ     R13+0, 1
	GOTO       L__main69
	DECFSZ     R12+0, 1
	GOTO       L__main69
	DECFSZ     R11+0, 1
	GOTO       L__main69
	NOP
	NOP
;MyProject.mbas,282 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main71
;MyProject.mbas,283 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,284 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,285 :: 		goto delay4
	GOTO       L__main_delay4
L__main71:
;MyProject.mbas,287 :: 		goto delay3 'loo
	GOTO       L__main_delay3
;MyProject.mbas,291 :: 		delay4:
L__main_delay4:
;MyProject.mbas,292 :: 		Lcd_Out(1,1,"READY LANE3    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      51
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,293 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,294 :: 		L2rd()
	CALL       _L2rd+0
;MyProject.mbas,295 :: 		L3rd()
	CALL       _L3rd+0
;MyProject.mbas,296 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,297 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,298 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,299 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,300 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main74:
	DECFSZ     R13+0, 1
	GOTO       L__main74
	DECFSZ     R12+0, 1
	GOTO       L__main74
	DECFSZ     R11+0, 1
	GOTO       L__main74
	NOP
	NOP
;MyProject.mbas,302 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main76
;MyProject.mbas,303 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,304 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,305 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,306 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,307 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main194
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main194:
	BTFSS      STATUS+0, 2
	GOTO       L__main79
;MyProject.mbas,308 :: 		goto em1
	GOTO       L__main_em1
L__main79:
;MyProject.mbas,310 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main195
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main195:
	BTFSS      STATUS+0, 2
	GOTO       L__main82
;MyProject.mbas,311 :: 		goto em2
	GOTO       L__main_em2
L__main82:
;MyProject.mbas,313 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main196
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main196:
	BTFSS      STATUS+0, 2
	GOTO       L__main85
;MyProject.mbas,314 :: 		goto em3
	GOTO       L__main_em3
L__main85:
;MyProject.mbas,316 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main197
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main197:
	BTFSS      STATUS+0, 2
	GOTO       L__main88
;MyProject.mbas,317 :: 		goto em4
	GOTO       L__main_em4
L__main88:
;MyProject.mbas,319 :: 		goto delay5
	GOTO       L__main_delay5
L__main76:
;MyProject.mbas,322 :: 		goto delay4 'loop to count
	GOTO       L__main_delay4
;MyProject.mbas,325 :: 		delay5:
L__main_delay5:
;MyProject.mbas,326 :: 		Lcd_Out(1,1,"LANE3 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      51
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,327 :: 		cnt=21 'reset counter for stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,328 :: 		cnt1=6  'reset counter for ready to go
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,329 :: 		cnt3=6 'reset timer for ready to stop
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,331 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,333 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,335 :: 		L3go()
	CALL       _L3go+0
;MyProject.mbas,337 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,338 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,339 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,340 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,341 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main91:
	DECFSZ     R13+0, 1
	GOTO       L__main91
	DECFSZ     R12+0, 1
	GOTO       L__main91
	DECFSZ     R11+0, 1
	GOTO       L__main91
	NOP
	NOP
;MyProject.mbas,343 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main93
;MyProject.mbas,344 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,345 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,346 :: 		goto delay6
	GOTO       L__main_delay6
L__main93:
;MyProject.mbas,349 :: 		goto delay5 'loop to count
	GOTO       L__main_delay5
;MyProject.mbas,352 :: 		delay6:
L__main_delay6:
;MyProject.mbas,353 :: 		Lcd_Out(1,1,"READY LANE4    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      52
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,355 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,357 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,359 :: 		L3rd()
	CALL       _L3rd+0
;MyProject.mbas,361 :: 		L4rd()
	CALL       _L4rd+0
;MyProject.mbas,362 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,363 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,364 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,365 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main96:
	DECFSZ     R13+0, 1
	GOTO       L__main96
	DECFSZ     R12+0, 1
	GOTO       L__main96
	DECFSZ     R11+0, 1
	GOTO       L__main96
	NOP
	NOP
;MyProject.mbas,367 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main98
;MyProject.mbas,369 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,370 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,371 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,372 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,373 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main198
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main198:
	BTFSS      STATUS+0, 2
	GOTO       L__main101
;MyProject.mbas,374 :: 		goto em1
	GOTO       L__main_em1
L__main101:
;MyProject.mbas,376 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main199
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main199:
	BTFSS      STATUS+0, 2
	GOTO       L__main104
;MyProject.mbas,377 :: 		goto em2
	GOTO       L__main_em2
L__main104:
;MyProject.mbas,379 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main200
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main200:
	BTFSS      STATUS+0, 2
	GOTO       L__main107
;MyProject.mbas,380 :: 		goto em3
	GOTO       L__main_em3
L__main107:
;MyProject.mbas,382 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main201
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main201:
	BTFSS      STATUS+0, 2
	GOTO       L__main110
;MyProject.mbas,383 :: 		goto em4
	GOTO       L__main_em4
L__main110:
;MyProject.mbas,386 :: 		goto delay7
	GOTO       L__main_delay7
L__main98:
;MyProject.mbas,389 :: 		goto delay6 'loop to count
	GOTO       L__main_delay6
;MyProject.mbas,392 :: 		delay7:
L__main_delay7:
;MyProject.mbas,393 :: 		Lcd_Out(1,1,"LANE4 GO     ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      65
	MOVWF      ?LocalText_main+1
	MOVLW      78
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      52
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      79
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	CLRF       ?LocalText_main+13
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,394 :: 		cnt=21 'reset counter for stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,395 :: 		cnt1=6  'reset counter for ready to go
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,396 :: 		cnt3=6 'reset timer for ready to stop
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,397 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,398 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,399 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,400 :: 		L4go()
	CALL       _L4go+0
;MyProject.mbas,401 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,402 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,403 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,404 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main113:
	DECFSZ     R13+0, 1
	GOTO       L__main113
	DECFSZ     R12+0, 1
	GOTO       L__main113
	DECFSZ     R11+0, 1
	GOTO       L__main113
	NOP
	NOP
;MyProject.mbas,406 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main115
;MyProject.mbas,407 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,408 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,409 :: 		goto delay8
	GOTO       L__main_delay8
L__main115:
;MyProject.mbas,412 :: 		goto delay7 'loop to count
	GOTO       L__main_delay7
;MyProject.mbas,415 :: 		delay8:
L__main_delay8:
;MyProject.mbas,416 :: 		Lcd_Out(1,1,"READY LANE1    ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      76
	MOVWF      ?LocalText_main+6
	MOVLW      65
	MOVWF      ?LocalText_main+7
	MOVLW      78
	MOVWF      ?LocalText_main+8
	MOVLW      69
	MOVWF      ?LocalText_main+9
	MOVLW      49
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,418 :: 		L1rd()
	CALL       _L1rd+0
;MyProject.mbas,420 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,422 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,424 :: 		L4rd()
	CALL       _L4rd+0
;MyProject.mbas,425 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,426 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,427 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,428 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main118:
	DECFSZ     R13+0, 1
	GOTO       L__main118
	DECFSZ     R12+0, 1
	GOTO       L__main118
	DECFSZ     R11+0, 1
	GOTO       L__main118
	NOP
	NOP
;MyProject.mbas,430 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main120
;MyProject.mbas,432 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,433 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,434 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,435 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,436 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main202
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main202:
	BTFSS      STATUS+0, 2
	GOTO       L__main123
;MyProject.mbas,437 :: 		goto em1
	GOTO       L__main_em1
L__main123:
;MyProject.mbas,439 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main203
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main203:
	BTFSS      STATUS+0, 2
	GOTO       L__main126
;MyProject.mbas,440 :: 		goto em2
	GOTO       L__main_em2
L__main126:
;MyProject.mbas,442 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main204
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main204:
	BTFSS      STATUS+0, 2
	GOTO       L__main129
;MyProject.mbas,443 :: 		goto em3
	GOTO       L__main_em3
L__main129:
;MyProject.mbas,445 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main205
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main205:
	BTFSS      STATUS+0, 2
	GOTO       L__main132
;MyProject.mbas,446 :: 		goto em4
	GOTO       L__main_em4
L__main132:
;MyProject.mbas,448 :: 		goto delay1
	GOTO       L__main_delay1
L__main120:
;MyProject.mbas,451 :: 		goto delay8 'loop to count
	GOTO       L__main_delay8
;MyProject.mbas,459 :: 		em1:
L__main_em1:
;MyProject.mbas,460 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,461 :: 		Lcd_Out(2,1,"EMERGENCY L1 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      49
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,462 :: 		L1go()
	CALL       _L1go+0
;MyProject.mbas,463 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,464 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,465 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,466 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,467 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,468 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,469 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main137:
	DECFSZ     R13+0, 1
	GOTO       L__main137
	DECFSZ     R12+0, 1
	GOTO       L__main137
	DECFSZ     R11+0, 1
	GOTO       L__main137
	NOP
	NOP
;MyProject.mbas,470 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,473 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main139
;MyProject.mbas,474 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,475 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,476 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main206
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main206:
	BTFSS      STATUS+0, 2
	GOTO       L__main142
;MyProject.mbas,477 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,478 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,479 :: 		goto delay8
	GOTO       L__main_delay8
L__main142:
;MyProject.mbas,481 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,482 :: 		goto delay8
	GOTO       L__main_delay8
L__main139:
;MyProject.mbas,485 :: 		goto em1
	GOTO       L__main_em1
;MyProject.mbas,491 :: 		em2:
L__main_em2:
;MyProject.mbas,492 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,493 :: 		Lcd_Out(2,1,"EMERGENCY L2 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      50
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,495 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,497 :: 		L2go()
	CALL       _L2go+0
;MyProject.mbas,499 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,501 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,502 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,503 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,504 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,505 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main147:
	DECFSZ     R13+0, 1
	GOTO       L__main147
	DECFSZ     R12+0, 1
	GOTO       L__main147
	DECFSZ     R11+0, 1
	GOTO       L__main147
	NOP
	NOP
;MyProject.mbas,506 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,509 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main149
;MyProject.mbas,510 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,511 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,512 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main207
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main207:
	BTFSS      STATUS+0, 2
	GOTO       L__main152
;MyProject.mbas,513 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,514 :: 		goto reset
	GOTO       L__main_reset
L__main152:
;MyProject.mbas,516 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,517 :: 		goto delay2
	GOTO       L__main_delay2
L__main149:
;MyProject.mbas,520 :: 		goto em2
	GOTO       L__main_em2
;MyProject.mbas,528 :: 		em3:
L__main_em3:
;MyProject.mbas,529 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,530 :: 		Lcd_Out(2,1,"EMERGENCY L3 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      51
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,532 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,534 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,536 :: 		L3go()
	CALL       _L3go+0
;MyProject.mbas,538 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,539 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,540 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,541 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,542 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main157:
	DECFSZ     R13+0, 1
	GOTO       L__main157
	DECFSZ     R12+0, 1
	GOTO       L__main157
	DECFSZ     R11+0, 1
	GOTO       L__main157
	NOP
	NOP
;MyProject.mbas,543 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,546 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main159
;MyProject.mbas,547 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,548 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,549 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main208
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main208:
	BTFSS      STATUS+0, 2
	GOTO       L__main162
;MyProject.mbas,550 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,551 :: 		goto reset
	GOTO       L__main_reset
L__main162:
;MyProject.mbas,553 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,554 :: 		goto delay4
	GOTO       L__main_delay4
L__main159:
;MyProject.mbas,557 :: 		goto em3
	GOTO       L__main_em3
;MyProject.mbas,564 :: 		em4:
L__main_em4:
;MyProject.mbas,565 :: 		Lcd_Out(2,1,"EMERGENCY L4 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      52
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,566 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,567 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,568 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,569 :: 		L4go()
	CALL       _L4go+0
;MyProject.mbas,570 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,571 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,572 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,573 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main167:
	DECFSZ     R13+0, 1
	GOTO       L__main167
	DECFSZ     R12+0, 1
	GOTO       L__main167
	DECFSZ     R11+0, 1
	GOTO       L__main167
	NOP
	NOP
;MyProject.mbas,574 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main169
;MyProject.mbas,575 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,576 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,577 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main209
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main209:
	BTFSS      STATUS+0, 2
	GOTO       L__main172
;MyProject.mbas,578 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,579 :: 		goto reset
	GOTO       L__main_reset
L__main172:
;MyProject.mbas,581 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,582 :: 		goto delay6
	GOTO       L__main_delay6
L__main169:
;MyProject.mbas,585 :: 		goto em4
	GOTO       L__main_em4
;MyProject.mbas,602 :: 		wend
L_end_main:
	GOTO       $+0
; end of _main
